NX Open C++ Reference Guide
|
Taper definition for the end of the Die Engineering Draw Bead. More...
Public Types | |
enum | TaperTypes { TaperTypesSpherical, TaperTypesWashout, TaperTypesPoint } |
Taper types to define how the slope is created for the bead end. More... | |
Public Member Functions | |
void | SetTaperPoint (NXOpen::Point *taperPoint) |
Sets the point used for defining the radius value of the spherical taper. | |
void | SetTaperType (NXOpen::Die::DrawBeadTaperBuilder::TaperTypes taperType) |
Sets the method to apply for defining the taper. | |
NXOpen::Point * | TaperPoint () |
Returns the point used for defining the radius value of the spherical taper. | |
NXOpen::Expression * | TaperRadius () |
Returns the expression containing the radius value for a spherical taper. | |
NXOpen::Die::DrawBeadTaperBuilder::TaperTypes | TaperType () |
Returns the method to apply for defining the taper. | |
NXOpen::Expression * | TaperWashoutHeight () |
Returns the expression containing the height value for a washout taper. | |
NXOpen::Expression * | TaperWashoutLength () |
Returns the expression containing the length value for a washout taper. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Taper definition for the end of the Die Engineering Draw Bead.
The taper can be defined at the start, end, or both ends of the draw bead and smoothly transition the bead back into the sheet body.
Created in NX7.5.0.
Taper types to define how the slope is created for the bead end.
void NXOpen::Die::DrawBeadTaperBuilder::SetTaperPoint | ( | NXOpen::Point * | taperPoint | ) |
Sets the point used for defining the radius value of the spherical taper.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
taperPoint | taperpoint |
void NXOpen::Die::DrawBeadTaperBuilder::SetTaperType | ( | NXOpen::Die::DrawBeadTaperBuilder::TaperTypes | taperType | ) |
Sets the method to apply for defining the taper.
Created in NX7.5.0.
License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
taperType | tapertype |
NXOpen::Point* NXOpen::Die::DrawBeadTaperBuilder::TaperPoint | ( | ) |
Returns the point used for defining the radius value of the spherical taper.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadTaperBuilder::TaperRadius | ( | ) |
Returns the expression containing the radius value for a spherical taper.
Created in NX7.5.0.
License requirements : None
NXOpen::Die::DrawBeadTaperBuilder::TaperTypes NXOpen::Die::DrawBeadTaperBuilder::TaperType | ( | ) |
Returns the method to apply for defining the taper.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadTaperBuilder::TaperWashoutHeight | ( | ) |
Returns the expression containing the height value for a washout taper.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Die::DrawBeadTaperBuilder::TaperWashoutLength | ( | ) |
Returns the expression containing the length value for a washout taper.
Created in NX7.5.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.